/******************************************************************************/
/*                                                                            */
/* Project N  : RB0505                                                       */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Filename  : DB_CONTROL.h                                               */
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/


/******************************************************************************/
/*%C                     Functionnal description :                            */
/*%C                                                                          */
/*                                                                            */
/******************************************************************************/
/*%I Input Parameter : NONE                                                   */
/*                                                                            */
/*%O Output Parameter : NONE                                                  */
/******************************************************************************/

#ifndef DB_CONTROL_H
#define DB_CONTROL_H

/******************************************************************************/
/*                           INCLUDE FILES		                      			*/
/******************************************************************************/



/******************************************************************************/
/*                           	#DEFINE		                      					*/
/******************************************************************************/

/******************************************************************************/
/*                         ENUM DECLARATION    	                	      		*/
/******************************************************************************/
// Base CONTROL
typedef enum {
	RS232_AUTHORIZATION = 0,
	MAINTENANCE_CONTROL,
	SUPPLY_STATE,
	DISCHARGE_BAT_STATE,
	CHARGE_BAT_STATE,
	INIT_BAT_STATE,
	CHARGE_AUTHORIZATION,
	CHARGE_RUNNING,
	FAN_SPEED_SETPOINT,
	SAMPLING_OK,
	FLAG_NO_COMMUT,
	CPU_ON,
	DC_LOW_LEVEL_FLAG,
	COMPUTE_CAPACITY_READY_FLAG,
	end_of_db_control_table
} e_DB_Control;

/******************************************************************************/
/*                             BASE DECLARATION                               */
/******************************************************************************/
	
	#ifdef DECLARATION_CONTROL_BASE
	
		UWORD16 DB_Control[end_of_db_control_table];
	
	#else
	
		extern UWORD16 DB_Control[end_of_db_control_table];
	
	#endif

#endif
