/******************************************************************************/
/*                                                                            */
/* Project N  :  RB0505                                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Filename  : DRV_RS232_Interrupt_Receive.c												*/
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/


/******************************************************************************/
/*%C                     Functionnal description :                            */
/*%C          				Reception Interrupt routine					            */
/******************************************************************************/
/*%I Input Parameter :  NONE                                                  */
/*%IO Input/Output :    NONE	                                                */
/*%O Output Parameter : NONE                                                  */
/******************************************************************************/


/******************************************************************************/
/*                                INCLUDE FILES		                          	*/
/******************************************************************************/
#include "p18f6622.h"
#include "typedef.h"
#include "enum.h"
#include "DRV_RS232_Data.h"

/******************************************************************************/
/*                            FUNCTION BODY                                   */
/******************************************************************************/
void DRV_RS232_InterruptReceive(void) 
{ 
	/*%C RS232 Buffer is loaded in the buffer of receipt */
	BufferOfReceipt[PtrWriteBufferRx] = RCREG2;
	PtrWriteBufferRx = PtrWriteBufferRx + 1;

	/*%C protection of pointer with modulo of RX_BufferSize */
	PtrWriteBufferRx %= RX_BufferSize;
}
