/******************************************************************************/
/*                                                                            */
/* Project N  :  RB0505                                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Filename  : DIS_Backlight.c                                                */
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/


/******************************************************************************/
/*%C                     Functionnal description :   								  */
/*%C                                                                          */
/*%C                                                */
/******************************************************************************/
/*%I Input Parameter :  e_BOOL On                                            */
/*%IO Input/Output :    NONE                                                  */
/*%O Output Parameter : NONE                                                  */
/******************************************************************************/

/******************************************************************************/
/*                                INCLUDE FILES		                          */
/******************************************************************************/
#ifndef _TASKING         
#include "LH_ST10F276.h" 
#include <intrins.h>     
#else                    
#include "regf276e.h"    
#endif                   	
#include "typedef.h"
#include "enum.h"
#include "DIS_Backlight.h"

/******************************************************************************/
/*                            FUNCTION BODY                                   */
/******************************************************************************/

void DIS_Backlight(e_TYPE_BACKLIGHT_LEVEL Level)
{
	static UWORD16 Memo_Backlight = SWITCH_ON;

// Gestion Backlight
	if (Level != Memo_Backlight)
	{
		DIS_FifoWrite(DRV_BACKLIHGHTADJUST,(UWORD16)Level,0,0,0,0,0,0,0,0,0,0,0);
	}
	Memo_Backlight = Level;
}