/*****************************************************************************/
/*                                                                            */
/* Project N  :  RB0505 		                                        			*/
/*                                                                            */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Filename  : DRV_USB_WaitEndTransmit.c 													*/
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/


/******************************************************************************/
/*%C                     Functionnal description :                            */
/*%C                   																			*/
/******************************************************************************/
/*%I Input Parameter :  NONE                                            		*/
/*%IO Input/Output :    NONE																	*/
/*%O Output Parameter : NONE       															*/
/******************************************************************************/

/******************************************************************************/
/*                                INCLUDE FILES		                          	*/
/******************************************************************************/
						 
#ifndef _TASKING
	#include "LH_ST10F276.h"
	#include <intrins.h>
#else	    
 		#include "regf276e.h"
#endif 	
#include "io_declare.h"

/******************************************************************************/
/*                            FUNCTION BODY                                   */
/******************************************************************************/

										   
UBYTE DRV_USB_WaitBusy(UBYTE State)
{
	/*%C Raz flag underflow timer 4 															*/
	T2IR = 0 ;

	/*%C 50 * 200ns, duree du timer 4 = 10 s temps d'criture 						*/
	T2 = 0x0032 ;

	/*%C count down, fc=fcpu/8, start timer 												*/
	T2CON = 0x00C0 ;

	/*%C Waiting for end bridge busy or TimeOut */
	while ((USB_BUSY != State) && (T2IR == 0));

	/*%C Stop Timer 4 																			*/
	T2CON = 0x0000 ;

	/*%C Test TimeOut 																			*/
 	if (T2IR == 1)
	{
		/*%C Error : TimeOut 																	*/
		return 1 ;
	}
 	else
	{
		/*%C Ok, no TimeOut 	*/
 		return 0;
	}
}