/******************************************************************************/
/*                                                                            */
/* Project N  :  RB0505                                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Filename  : HMI_Pen.cpp 	   	      			 	  		 						*/
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/


/******************************************************************************/
/*%C                     Functionnal description :                            */
/*%C                                                                          */
/*%C Pen parameters															 					*/
/*		                                                                   	 	*/
/******************************************************************************/


/******************************************************************************/
/*                           HEADER INCLUDE FILE		                        */
/******************************************************************************/

#include "HMI_Pen.hpp"
				 
/******************************************************************************/
/*                           OTHER INCLUDE FILE		                	   		*/
/******************************************************************************/

/******************************************************************************/
/*                           CONSTRUCTEUR/DESTRUCTEUR                			*/
/******************************************************************************/
UWORD16 Pen::LineThickness = 1;

Pen::Pen()
{
   LocalCounter = 0;
   SetLineThickness(2);
   SetDotted(FALSE);
   SetDottedState(TRUE);
}
/*----------------------------------------------------------------------------*/
void Pen::SetDotted(e_BOOL _Dotted)
{
   Dotted = _Dotted;
}
/*----------------------------------------------------------------------------*/
e_BOOL Pen::IsDotted()
{
   return Dotted;
}
/*----------------------------------------------------------------------------*/
void Pen::SetDottedState(e_BOOL _DottedState)
{
   DottedState = _DottedState;
}
/*----------------------------------------------------------------------------*/
e_BOOL Pen::IsDottedState()
{
   return DottedState;
}
/*----------------------------------------------------------------------------*/
void Pen::SwapDottedState()
{
   if(LocalCounter == 0)
   {
      SetDottedState(FALSE);
   }
   LocalCounter++;
   if(LocalCounter == DOTTED_LENGTH)
   {
      SetDottedState(TRUE);
      LocalCounter = 0;
   }
}
/*----------------------------------------------------------------------------*/
void Pen::SetLineThickness(UWORD16 _LineThickness)
{
   Pen::LineThickness = _LineThickness;
}
/*----------------------------------------------------------------------------*/
UWORD16 Pen::GetLineThickness()
{
   return Pen::LineThickness;
}

