/******************************************************************************/
/*                                                                            */
/* Project N  :  RB0505                                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Filename  : INT_AbsPress_Interpol.h                                     	*/
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/


/******************************************************************************/
/*%C                     Functionnal description :                            */
/*%C           Absolute pressure values conversion                            */
/*                                                                            */
/******************************************************************************/
/*%I Input Parameter : NONE                                                   */
/*%IO Input/Output : NONE                                                     */
/*%O Output Parameter : NONE                                                  */
/******************************************************************************/


#ifndef INT_ABS_PRESS_INTERPOL_H
#define INT_ABS_PRESS_INTERPOL_H


/******************************************************************************/
/*                    CONSTANT DECLARATION                                    */
/******************************************************************************/
  
/* Sensitivity of the absolute pressure sensor       */
#define SENSITIVITY_SENSOR_PRESSURE_ABS	6103	/* 10^-4 cmH2O*/					
				


/******************************************************************************/
/*                   EXTERNAL FUNCTION DECLARATION	                           */
/******************************************************************************/
extern void DB_ComputeWrite(e_DB_COMPUTE Id,
                            UWORD16 Value);
extern void DB_MeasurementWrite(e_DB_MEASUREMENT Id,
                                UWORD16 Value);
#endif
  