/******************************************************************************/
/*                                                                            */
/* Project N  :  RB0505                                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Filename  : SYS_SetupLaunch.c      		 	                                 */
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/


/******************************************************************************/
/*%C                     Functionnal description :                            */
/*%C           Management of keyboard and backlight,            					*/
/*                                                                            */
/******************************************************************************/
/*%I Input Parameter : NONE                                                   */
/*%IO Input/Output : NONE                                                     */
/*%O Output Parameter : NONE                                                  */
/******************************************************************************/

/******************************************************************************/
/*                           INCLUDE FILES                                    */
/******************************************************************************/

#include "SYS_SetupLaunch.h"

/******************************************************************************/
/*                            FUNCTION BODY                                   */
/******************************************************************************/

void SYS_SetupLaunch(void)
{
/*%C The function below are launched on this order :      		               */
/*%C   -	SYS_Keyboard()*/
/*%C   - SYS_Backlight_Mngt() */
/*%C   - DRV_Key_Sound_Bip() */

	SYS_Keyboard();
	SYS_Backlight_Mngt();
	DRV_Key_Sound_Bip();
	SYS_Fio2Detection();
}